#!/bin/bash

# Obtener el modelo del equipo
MODELO=$(cat /sys/class/dmi/id/product_name)

# Verificar si el modelo es "Smart-PC"
if [ "$MODELO" == "SMART PCM12-PENT" ]; then
    echo "Este es un Smart-PC, ejecutando acción..."
    # Aquí colocas el comando que quieres ejecutar
    echo "Removing boot entries..."
    sudo efibootmgr -b 0000 -B 
    sudo efibootmgr -b 0001 -B 
    sudo efibootmgr -b 0002 -B 
    sudo efibootmgr -b 0003 -B 
    sudo efibootmgr -b 0004 -B 
    sudo efibootmgr -b 0005 -B 
    sudo efibootmgr -b 0006 -B 
    sudo efibootmgr -b 2001 -B 
    sudo efibootmgr -b 2002 -B 
    sudo efibootmgr -b 2003 -B 
  
    echo "Adding boot entry ..."
    sudo efibootmgr -c -d /dev/nvme0n1 -p 1 -L "educaandos" -l "\EFI\educaandos\grubx64.efi"
    #sudo efibootmgr -c -d /dev/nvme0n1 -p 1 -L "Windows11ProEdu" -l "\EFI\Microsoft\boot\bootmgfw.efi"
    #sudo efibootmgr -c -d /dev/nvme0n1 -p 5 -L "Recuperacion" -l "\EFI\Recuperacion\boot\grubx64.efi"
    sudo efibootmgr -o 0000
else
    echo "Este no es un Smart-PC. No se ejecuta ninguna acción."
fi
